<main class="container py-5">
    <div class="row">
        <div class="col-md-4 order-md-2 mb-4">
          <h4 class="d-flex justify-content-between align-items-center mb-3">
            <span class="text-muted">Resumen</span>
            <!-- <span class="badge badge-secondary badge-pill">3</span> -->
          </h4>
          <ul class="list-group mb-3">
            <li class="list-group-item d-flex justify-content-between lh-condensed">
              <div>
                <h6 class="my-0"><%= artwork.title %></h6>
                <small class="text-muted"><%= artwork.description %></small>
              </div>
              <span class="text-muted">$<%= parseFloat(artwork.price).toLocaleString('es-CO') %></span>
            </li>
            <!-- <li class="list-group-item d-flex justify-content-between lh-condensed">
              <div>
                <h6 class="my-0">Second product</h6>
                <small class="text-muted">Brief description</small>
              </div>
              <span class="text-muted">$8</span>
            </li>
            <li class="list-group-item d-flex justify-content-between lh-condensed">
              <div>
                <h6 class="my-0">Third item</h6>
                <small class="text-muted">Brief description</small>
              </div>
              <span class="text-muted">$5</span>
            </li>
            <li class="list-group-item d-flex justify-content-between bg-light">
              <div class="text-success">
                <h6 class="my-0">Promo code</h6>
                <small>EXAMPLECODE</small>
              </div>
              <span class="text-success">-$5</span>
            </li> -->
            <li class="list-group-item d-flex justify-content-between">
              <span>Total (COP)</span>
              <strong>$<%= parseFloat(artwork.price).toLocaleString('es-CO') %></strong>
            </li>
          </ul>
    
          <form class="card p-2">
            <div class="input-group">
              <input type="text" class="form-control" placeholder="Cupón de descuento">
              <div class="input-group-append">
                <button type="submit" class="btn btn-secondary">Aplicar</button>
              </div>
            </div>
          </form>
        </div>
        <div class="col-md-8 order-md-1">
          <h4 class="mb-3">Detalles de facturación</h4>

          <form class="needs-validation" id="formCheckout" action="" method="POST" enctype="multipart/form-data" novalidate="">
            <div class="row">
              <div class="col-md-6 mb-3">
                <label for="name">Nombres</label>
              <input type="text" class="form-control" id="name" name="name" placeholder="" <% if(locals.user) { %> value="<%= user.name %>" <% } %> required>
                <div class="invalid-feedback">
                  Valid first name is required.
                </div>
              </div>
              <div class="col-md-6 mb-3">
                <label for="surname">Apellidos</label>
                <input type="text" class="form-control" id="surname" name="surname" placeholder="" <% if(locals.user) { %> value="<%= user.surname %>" <% } %> required>
                <div class="invalid-feedback">
                  Valid last name is required.
                </div>
              </div>
            </div>

            <div class="row">
                <div class="col-md-6 mb-3">
                  <label for="doc">Documento</label>
                <input type="text" class="form-control" id="doc" name="doc" placeholder="" <% if(locals.user) { %> value="<%= user.doc %>" <% } %> required>
                  <div class="invalid-feedback">
                    Valid first name is required.
                  </div>
                </div>
                <div class="col-md-6 mb-3">
                  <label for="phone">Teléfono</label>
                  <input type="text" class="form-control" id="phone" name="phone" placeholder="" <% if(locals.user) { %> value="<%= user.tel %>" <% } %> required>
                  <div class="invalid-feedback">
                    Valid last name is required.
                  </div>
                </div>
              </div>
    
            <!-- <div class="mb-3">
              <label for="username">Username</label>
              <div class="input-group">
                <div class="input-group-prepend">
                  <span class="input-group-text">@</span>
                </div>
                <input type="text" class="form-control" id="username" placeholder="Username" required="">
                <div class="invalid-feedback" style="width: 100%;">
                  Your username is required.
                </div>
              </div>
            </div> -->
    
            <div class="mb-3">
              <label for="email">Email</label>
              <input type="email" class="form-control" id="email" name="email" placeholder="you@example.com" <% if(locals.user) { %> value="<%= user.email %>" <% } %> required>
              <div class="invalid-feedback">
                Please enter a valid email address for shipping updates.
              </div>
            </div>
    
            <div class="mb-3">
              <label for="address">Dirección</label>
              <input type="text" class="form-control" id="address" name="address" placeholder="1234 Main St" <% if(locals.info) { %> value="<%= info.address %>" <% } %> required>
              <div class="invalid-feedback">
                Please enter your shipping address.
              </div>
            </div>
    
            <div class="row">
              <div class="col-md-5 mb-3">
                <label for="city">Ciudad</label>
                <select class="custom-select d-block w-100" id="city" name="city" required>
                    <% if(locals.info) { %> 
                    <option value="<%= info.city %>" selected><%= info.city %></option> 
                    <% } else { %>
                    <option value="">Selecciona...</option>
                    <% } %>
                  <option value="Santa Marta">Santa Marta</option>
                </select>
                <div class="invalid-feedback">
                  Please select a valid country.
                </div>
              </div>
              <div class="col-md-4 mb-3">
                <label for="department">Departamento</label>
                <select class="custom-select d-block w-100" id="state" name="department" required>
                  <% if(locals.info) { %> 
                    <option value="<%= info.department %>" selected><%= info.department %></option> 
                  <% } else { %>
                  <option value="">Selecciona...</option>
                  <% } %>
                  <option>Magdalena</option>
                </select>
                <div class="invalid-feedback">
                  Please provide a valid state.
                </div>
              </div>
              <div class="col-md-3 mb-3">
                <label for="postcode">Zip</label>
                <input type="text" class="form-control" id="postcode" name="postcode" placeholder="" <% if(locals.info) { %> value="<%= info.postcode %>" <% } %> required>
                <div class="invalid-feedback">
                  Zip code required.
                </div>
              </div>
            </div>
            
            <hr class="mb-4">
    
            <h4 class="mb-3">Pago</h4>
    
            <div class="d-block my-3">
              <div class="custom-control custom-radio">
                <input id="credit" name="paymentMethod" type="radio" class="custom-control-input" checked="" required="">
                <label class="custom-control-label" for="credit">Tarjeta de crédito</label>
              </div>
              <div class="custom-control custom-radio">
                <input id="debit" name="paymentMethod" type="radio" class="custom-control-input" required="">
                <label class="custom-control-label" for="debit">Tarjeta débito</label>
              </div>
              <div class="custom-control custom-radio">
                <input id="paypal" name="paymentMethod" type="radio" class="custom-control-input" required="">
                <label class="custom-control-label" for="paypal">PayPal</label>
              </div>
            </div>
            <div class="row">
              <div class="col-md-6 mb-3">
                <label for="cc-name">Nombre del titular</label>
                <input type="text" class="form-control" id="cc-name" placeholder="" required="">
                <small class="text-muted">Nombre completo como se muestra en la tarjeta</small>
                <div class="invalid-feedback">
                  Name on card is required
                </div>
              </div>
              <div class="col-md-6 mb-3">
                <label for="cc-number">Número de tarjeta de crédito</label>
                <input type="text" class="form-control" id="cc-number" placeholder="" required="">
                <div class="invalid-feedback">
                  Credit card number is required
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-6 mb-3">
                <label for="cc-expiration">Fecha de vencimiento</label>
                <input type="date" class="form-control" id="cc-expiration" placeholder="" required="">
                <div class="invalid-feedback">
                  Expiration date required
                </div>
              </div>
              <div class="col-md-6 mb-3">
                <label for="cc-cvv">Código de verificación</label>
                <input type="text" class="form-control" id="cc-cvv" placeholder="" required="">
                <div class="invalid-feedback">
                  Security code required
                </div>
              </div>
            </div>
            <hr class="mb-4">
            <button class="btn btn-primary btn-lg btn-block" type="submit">Continuar con el pedido</button>
          </form>
        </div>
      </div>
</main>